Summary:       Linux-native io_uring I/O access library
Name:          liburing
Version:       2.4
Release:       4%{?dist}
License:       (GPLv2 with exceptions and LGPLv2+) or MIT
URL:           https://git.kernel.dk/cgit/liburing/
Source0:       https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz
Patch3000:     0001-enable-libc.patch

BuildRequires: gcc gcc-c++ make

%description
Provides native async IO for the Linux kernel, in a fast and efficient manner,
for both buffered and O_DIRECT.

%package       devel
Summary:       Development files for Linux-native io_uring I/O access library
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
This package provides header files to include and libraries to link with for
the Linux-native io_uring.

%prep
%autosetup -n %{name}-%{version} -p1

%build
./configure \
    --prefix=%{_prefix}     \
    --libdir=/%{_libdir}    \
    --libdevdir=/%{_libdir} \
    --mandir=%{_mandir}     \
    --includedir=%{_includedir}

%make_build

%install
%make_install

%files
%license COPYING
%attr(0755,root,root) %{_libdir}/liburing.so.*
%attr(0755,root,root) %{_libdir}/liburing-ffi.so.*

%files devel
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%{_libdir}/liburing-ffi.so
%{_libdir}/pkgconfig/*
%{_libdir}/*.a
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-4
- Rebuilt for loongarch release

* Mon Apr 15 2024 Shuo Wang <abushwang@tencent.com> - 2.4-3
- add static support

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 2.4-1
- update to 2.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 2.2-2
- remove README.md

* Tue Nov 22 2022 Shuo Wang <abushwang@tencent.com> - 2.2-1
- initial build

